Bug 156155 - ieee1394 dvd burner causes disconnect on ieee1394 hard drive
ieee1394 dvd burner causes disconnect on ieee1394 hard drive
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-27 19:45 EDT by Garnet Ulrich
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:14:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garnet Ulrich 2005-04-27 19:45:23 EDT
Description of problem:
I have a Dell D600 laptop with Belkin Firewire PCCard (Texas Instruments 
TSB43AB23 IEEE-1394a-2000 Controller).  Attached to the firewire card is an 
external ACOM hard drive enclosure (60GB IDE drive in a firewire enclosure).  
This setup works very stable as described so far.  The drive is mounted at 
boot time and all is well.  The problem occurs when I turn on my LG5120D 
external DVD burner which is also firewire connected.  The results are the 
same whether I connect the burner thru the hard drive or directly into another 
port on the belkin firewire adaptor.  The hard drive enclosure, dvd burner and 
firewire cables are all known good as they were working for weeks on end on 
another laptop with built-in firewire under RH9.

[root@garnetd600 ~]# rpm -qa | grep udev
udev-039-10.FC3.7
[root@garnetd600 ~]# rpm -qa | grep hal
hal-0.4.7-1.FC3

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.Power up laptop with external firewire hard drive - all is well.
2.Turn on firewire dvd burner.
3.Hard drive disappears - /dev/sda1 is gone.
  
Actual results:
hotplug/hal/udev (sorry not up on these components) removes the hard drive 
from /dev and the mount is gone.

Expected results:
Both the hard drive and dvd burner should work together as they did on another 
laptop with RH9.

Additional info:
Here is some data before the burner is powered on:

[root@garnetd600 ~]# lspci
00:00.0 Host bridge: Intel Corp. 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corp. 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB 
UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB 
UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB 
UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI 
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corp. 82801DBM (ICH4-M) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-
L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem 
Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [Radeon 
Mobility 9000 M9] (rev 02)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705M Gigabit 
Ethernet (rev 01)
02:01.0 CardBus bridge: O2 Micro, Inc. OZ711EC1 SmartCardBus Controller (rev 
20)
02:01.1 CardBus bridge: O2 Micro, Inc. OZ711EC1 SmartCardBus Controller (rev 
20)
03:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 
Controller (PHY/Link)

[root@garnetd600 ~]# lspci -vv
<snip>
03:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 
Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: Belkin: Unknown device 1799
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (500ns min, 1000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 40804000 (32-bit, non-prefetchable) [size=2K]
        Region 1: Memory at 40800000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME
(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME+

[root@garnetd600 ~]# lshal
lshal version 0.4.7
<snip>
udi = '/org/freedesktop/Hal/devices/block_2384918e-470c-4c0f-8a62-494102c05f70'
  volume.mount_point = '/mnt/acom'  (string)
  volume.policy.desired_mount_point = 'ieee1394disk'  (string)
  volume.policy.mount_filesystem = 'ext3'  (string)
  volume.policy.should_mount = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/block_2384918e-470c-4c0f-8a62-
494102c05f70'  (string)
  volume.partition.msdos_part_table_type = 131  (0x83)  (int)
  volume.size = 60052737024  (0xdfb6c0c00)  (uint64)
  volume.block_size = 512  (0x200)  (int)
  volume.num_blocks = 117290502  (0x6fdb606)  (int)
  volume.partition.number = 1  (0x1)  (int)
  volume.is_partition = true  (bool)
  volume.is_mounted = true  (bool)
  volume.is_disc = false  (bool)
  volume.uuid = '2384918e-470c-4c0f-8a62-494102c05f70'  (string)
  volume.label = ''  (string)
  volume.fsversion = ''  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fstype = 'ext3'  (string)
  info.product = 'Volume (ext3)'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_8_0'  (string)
  block.minor = 1  (0x1)  (int)
  block.major = 8  (0x8)  (int)
  info.capabilities = 'block volume'  (string)
  info.category = 'volume'  (string)
  info.parent = '/org/freedesktop/Hal/devices/block_8_0'  (string)
  block.device = '/dev/sda1'  (string)
  block.is_volume = true  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/sda/sda1'  (string)
  linux.sysfs_path = '/sys/block/sda/sda1'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/block_8_0'
  storage.policy.should_mount = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/block_8_0'  (string)
  storage.requires_eject = false  (bool)
  storage.hotpluggable = true  (bool)
  storage.removable = false  (bool)
  info.product = 'SAMSUNG SV0602H'  (string)
  info.vendor = 'DMI'  (string)
  storage.drive_type = 'disk'  (string)
  block.storage_device = '/org/freedesktop/Hal/devices/block_8_0'  (string)
  storage.physical_device = '/org/freedesktop/Hal/devices/ieee1394_0-0'  
(string)
  storage.vendor = 'DMI'  (string)
  storage.model = 'SAMSUNG SV0602H'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.no_partitions_hint = false  (bool)
  storage.media_check_enabled = true  (bool)
  storage.bus = 'ieee1394'  (string)
  block.minor = 0  (0x0)  (int)
  block.major = 8  (0x8)  (int)
  info.capabilities = 'block storage'  (string)
  info.category = 'storage'  (string)
  info.parent = '/org/freedesktop/Hal/devices/scsi_0_0_0_0'  (string)
  block.device = '/dev/sda'  (string)
  block.is_volume = false  (bool)
  block.have_scanned = false  (bool)
  block.no_partitions = false  (bool)
  linux.sysfs_path_device = '/sys/block/sda'  (string)
  linux.sysfs_path = '/sys/block/sda'  (string)
  info.bus = 'block'  (string)

udi = '/org/freedesktop/Hal/devices/scsi_0_0_0_0'
  info.udi = '/org/freedesktop/Hal/devices/scsi_0_0_0_0'  (string)
  info.product = 'SCSI Device'  (string)
  scsi.lun = 0  (0x0)  (int)
  scsi.target = 0  (0x0)  (int)
  scsi.bus = 0  (0x0)  (int)
  scsi.host = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/scsi_host_0'  (string)
  scsi.linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0/target0:0:0/0:0:0:0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0/target0:0:0/0:0:0:0'  (string)
  linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0/target0:0:0/0:0:0:0'  (string)
  info.bus = 'scsi'  (string)

udi = '/org/freedesktop/Hal/devices/scsi_host_0'
  info.udi = '/org/freedesktop/Hal/devices/scsi_host_0'  (string)
  info.capabilities = 'scsi_host'  (string)
  info.product = 'SCSI Host Interface'  (string)
  scsi_host.host = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_0-0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0'  (string)
  linux.sysfs_path = '/sys/class/scsi_host/host0'  (string)
  info.bus = 'scsi_host'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_0-0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_0-0'  (string)
  info.product = 'SAMSUNG SV0602H'  (string)
  ieee1394.product = 'SAMSUNG SV0602H'  (string)
  ieee1394.specifier_id = 24734  (0x609e)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_node_0-0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0'  (string)
  linux.sysfs_path = '/sys/class/ieee1394/00063a27d400006b-0'  (string)
  info.bus = 'ieee1394'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_node_0-0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_node_0-0'  (string)
  info.vendor = 'DMI'  (string)
  ieee1394.vendor = 'DMI'  (string)
  ieee1394.vendor_id = 1594  (0x63a)  (int)
  ieee1394.nodeid = 65472  (0xffc0)  (int)
  ieee1394.guid = -738197397  (0xd400006b)  (int)
  ieee1394.capabilities = 33728  (0x83c0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b'  (string)
  linux.sysfs_path = '/sys/class/ieee1394_node/00063a27d400006b'  (string)
  info.bus = 'ieee1394_node'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_0'  (string)
  ieee1394.specifier_id = 94  (0x5e)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_node_0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/000030bd00000000/000030bd00000000-0'  (string)
  linux.sysfs_path = '/sys/class/ieee1394/000030bd00000000-0'  (string)
  info.bus = 'ieee1394'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_node_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_node_0'  (string)
  info.vendor = 'Linux - ohci1394'  (string)
  ieee1394.vendor = 'Linux - ohci1394'  (string)
  ieee1394.vendor_id = 48  (0x30)  (int)
  ieee1394.nodeid = 65473  (0xffc1)  (int)
  ieee1394.guid = 0  (0x0)  (int)
  ieee1394.capabilities = 33728  (0x83c0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/000030bd00000000'  (string)
  linux.sysfs_path = '/sys/class/ieee1394_node/000030bd00000000'  (string)
  info.bus = 'ieee1394_node'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_host_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  ieee1394.nodes_active = 2  (0x2)  (int)
  ieee1394.node_count = 2  (0x2)  (int)
  ieee1394.is_root = true  (bool)
  ieee1394.is_irn = true  (bool)
  ieee1394.is_busmgr = false  (bool)
  info.parent = '/org/freedesktop/Hal/devices/pci_104c_8024'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-host0'  
(string)
  linux.sysfs_path = '/sys/class/ieee1394_host/fw-host0'  (string)
  info.bus = 'ieee1394_host'  (string)

udi = '/org/freedesktop/Hal/devices/pci_104c_8024'
  info.udi = '/org/freedesktop/Hal/devices/pci_104c_8024'  (string)
  pci.device_protocol = 16  (0x10)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'Texas Instruments'  (string)
  info.product = 'TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)'  (string)
  pci.subsys_vendor = 'Belkin'  (string)
  pci.product = 'TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)'  (string)
  pci.vendor = 'Texas Instruments'  (string)
  pci.subsys_product_id = 6041  (0x1799)  (int)
  pci.subsys_vendor_id = 6041  (0x1799)  (int)
  pci.product_id = 32804  (0x8024)  (int)
  pci.vendor_id = 4172  (0x104c)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_1217_7113/0'  (string)
  pci.linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0'  (string)
  linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0'  (string)
  info.bus = 'pci'  (string)
<snip>

[root@garnetd600 ~]# mount | grep /sda1
/dev/sda1 on /mnt/acom type ext3 (rw)

-------------------------------------------
now we turn on the dvd burner
-------------------------------------------

Apr 27 13:06:08 garnetd600 kernel: ieee1394: Error parsing configrom for node 
0-00:1023
Apr 27 13:06:08 garnetd600 kernel: Synchronizing SCSI cache for disk sda:
Apr 27 13:06:08 garnetd600 fstab-sync[5252]: removed mount 
point /media/ieee1394disk for /dev/sda1

[root@garnetd600 ~]# mount | grep sda
[root@garnetd600 ~]#
[root@garnetd600 ~]# ls -la /dev/sd*
ls: /dev/sd*: No such file or directory
[root@garnetd600 ~]# lspci
00:00.0 Host bridge: Intel Corp. 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corp. 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB 
UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB 
UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB 
UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI 
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corp. 82801DBM (ICH4-M) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-
L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem 
Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [Radeon 
Mobility 9000 M9] (rev 02)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705M Gigabit 
Ethernet (rev 01)
02:01.0 CardBus bridge: O2 Micro, Inc. OZ711EC1 SmartCardBus Controller (rev 
20)
02:01.1 CardBus bridge: O2 Micro, Inc. OZ711EC1 SmartCardBus Controller (rev 
20)
03:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 
Controller (PHY/Link)

[root@garnetd600 ~]# lshal
<snip>
udi = '/org/freedesktop/Hal/devices/scsi_0_0_0_0'
  info.udi = '/org/freedesktop/Hal/devices/scsi_0_0_0_0'  (string)
  info.product = 'SCSI Device'  (string)
  scsi.lun = 0  (0x0)  (int)
  scsi.target = 0  (0x0)  (int)
  scsi.bus = 0  (0x0)  (int)
  scsi.host = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/scsi_host_0'  (string)
  scsi.linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0/target0:0:0/0:0:0:0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0/target0:0:0/0:0:0:0'  (string)
  linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0/target0:0:0/0:0:0:0'  (string)
  info.bus = 'scsi'  (string)

udi = '/org/freedesktop/Hal/devices/scsi_host_0'
  info.udi = '/org/freedesktop/Hal/devices/scsi_host_0'  (string)
  info.capabilities = 'scsi_host'  (string)
  info.product = 'SCSI Host Interface'  (string)
  scsi_host.host = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_0-0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0/host0'  (string)
  linux.sysfs_path = '/sys/class/scsi_host/host0'  (string)
  info.bus = 'scsi_host'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_0-0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_0-0'  (string)
  info.product = 'SAMSUNG SV0602H'  (string)
  ieee1394.product = 'SAMSUNG SV0602H'  (string)
  ieee1394.specifier_id = 24734  (0x609e)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_node_0-0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b/00063a27d400006b-0'  (string)
  linux.sysfs_path = '/sys/class/ieee1394/00063a27d400006b-0'  (string)
  info.bus = 'ieee1394'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_node_0-0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_node_0-0'  (string)
  info.vendor = 'DMI'  (string)
  ieee1394.vendor = 'DMI'  (string)
  ieee1394.vendor_id = 1594  (0x63a)  (int)
  ieee1394.nodeid = 65472  (0xffc0)  (int)
  ieee1394.guid = -738197397  (0xd400006b)  (int)
  ieee1394.capabilities = 33728  (0x83c0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/00063a27d400006b'  (string)
  linux.sysfs_path = '/sys/class/ieee1394_node/00063a27d400006b'  (string)
  info.bus = 'ieee1394_node'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_0'  (string)
  ieee1394.specifier_id = 94  (0x5e)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_node_0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/000030bd00000000/000030bd00000000-0'  (string)
  linux.sysfs_path = '/sys/class/ieee1394/000030bd00000000-0'  (string)
  info.bus = 'ieee1394'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_node_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_node_0'  (string)
  info.vendor = 'Linux - ohci1394'  (string)
  ieee1394.vendor = 'Linux - ohci1394'  (string)
  ieee1394.vendor_id = 48  (0x30)  (int)
  ieee1394.nodeid = 65473  (0xffc1)  (int)
  ieee1394.guid = 0  (0x0)  (int)
  ieee1394.capabilities = 33728  (0x83c0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-
host0/000030bd00000000'  (string)
  linux.sysfs_path = '/sys/class/ieee1394_node/000030bd00000000'  (string)
  info.bus = 'ieee1394_node'  (string)

udi = '/org/freedesktop/Hal/devices/ieee1394_host_0'
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_host_0'  (string)
  ieee1394.nodes_active = 2  (0x2)  (int)
  ieee1394.node_count = 2  (0x2)  (int)
  ieee1394.is_root = true  (bool)
  ieee1394.is_irn = true  (bool)
  ieee1394.is_busmgr = false  (bool)
  info.parent = '/org/freedesktop/Hal/devices/pci_104c_8024'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0/fw-host0'  
(string)
  linux.sysfs_path = '/sys/class/ieee1394_host/fw-host0'  (string)
  info.bus = 'ieee1394_host'  (string)

udi = '/org/freedesktop/Hal/devices/pci_104c_8024'
  info.udi = '/org/freedesktop/Hal/devices/pci_104c_8024'  (string)
  pci.device_protocol = 16  (0x10)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 12  (0xc)  (int)
  info.vendor = 'Texas Instruments'  (string)
  info.product = 'TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)'  (string)
  pci.subsys_vendor = 'Belkin'  (string)
  pci.product = 'TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)'  (string)
  pci.vendor = 'Texas Instruments'  (string)
  pci.subsys_product_id = 6041  (0x1799)  (int)
  pci.subsys_vendor_id = 6041  (0x1799)  (int)
  pci.product_id = 32804  (0x8024)  (int)
  pci.vendor_id = 4172  (0x104c)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_1217_7113/0'  (string)
  pci.linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0'  (string)
  linux.sysfs_path_device 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0'  (string)
  linux.sysfs_path 
= '/sys/devices/pci0000:00/0000:00:1e.0/0000:02:01.0/0000:03:00.0'  (string)
  info.bus = 'pci'  (string)
<snip>

Note:
If both the hard drive and burner are plugged in and turned on at bootup, both 
are recognized and can be mounted _but_ the following appears in syslog and 
eventually the hard drive mount fails and disappears.

Apr 25 09:59:01 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
Apr 25 09:59:01 garnetd600 kernel: Read Capacity (10) 25 00 00 00 00 00 00 00 
00 00
Apr 25 09:59:37 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
Apr 25 09:59:37 garnetd600 kernel: Read Capacity (10) 25 00 00 00 00 00 00 00 
00 00
Apr 25 10:00:15 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
Apr 25 10:00:15 garnetd600 kernel: Test Unit Ready 00 00 00 00 00 00
Apr 25 10:00:59 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
Apr 25 10:00:59 garnetd600 kernel: Read TOC/PMA/ATIP 43 00 00 00 00 00 00 00 
0c 00
Comment 1 David Zeuthen 2005-04-27 23:28:51 EDT
This is a bug with the Firewire kernel drivers. Reassigning.
Comment 2 Garnet Ulrich 2005-05-02 08:16:45 EDT
More information:  If the DVD burner is instead connected via USB (this is a
usb/firewire drive), the firewire hard drive /dev/sda1 device still gets messed
up and can't be mounted anymore.  Here is were the DVD burner is turned on
connected to USB (hard drive is scsi0 (/dev/sda1), dvd burner seems to get
brought up on scsi1):

May  2 07:38:48 garnetd600 kernel: usb 1-1: new high speed USB device using
ehci_hcd and address 6
May  2 07:38:49 garnetd600 kernel: Initializing USB Mass Storage driver...
May  2 07:38:50 garnetd600 kernel: scsi1 : SCSI emulation for USB Mass Storage
devices
May  2 07:38:50 garnetd600 kernel: usbcore: registered new driver usb-storage
May  2 07:38:50 garnetd600 kernel: USB Mass Storage support registered.
May  2 07:38:55 garnetd600 kernel:   Vendor: HL-DT-ST  Model: DVDRAM GSA-5120D 
Rev: A115
May  2 07:38:55 garnetd600 kernel:   Type:   CD-ROM                            
ANSI SCSI revision: 00
May  2 07:38:55 garnetd600 scsi.agent[7410]: cdrom at
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host1/target1:0:0/1:0:0:0
May  2 07:38:55 garnetd600 kernel: sr0: scsi3-mmc drive: 40x/40x writer dvd-ram
cd/rw xa/form2 cdda tray
May  2 07:38:56 garnetd600 fstab-sync[7473]: added mount point /media/cdrecorder
for /dev/scd0
May  2 07:40:23 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
May  2 07:40:23 garnetd600 kernel: Read (10) 28 00 00 00 00 3f 00 00 40 00
May  2 07:40:33 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
May  2 07:40:33 garnetd600 kernel: Test Unit Ready 00 00 00 00 00 00
May  2 07:40:33 garnetd600 kernel: ieee1394: sbp2: reset requested
May  2 07:40:33 garnetd600 kernel: ieee1394: sbp2: Generating sbp2 fetch agent reset
May  2 07:40:43 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
May  2 07:40:43 garnetd600 kernel: Test Unit Ready 00 00 00 00 00 00
May  2 07:40:43 garnetd600 kernel: ieee1394: sbp2: reset requested
May  2 07:40:43 garnetd600 kernel: ieee1394: sbp2: Generating sbp2 fetch agent reset
May  2 07:41:03 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
May  2 07:41:03 garnetd600 kernel: Test Unit Ready 00 00 00 00 00 00
May  2 07:41:03 garnetd600 kernel: ieee1394: sbp2: reset requested
May  2 07:41:03 garnetd600 kernel: ieee1394: sbp2: Generating sbp2 fetch agent reset
May  2 07:41:23 garnetd600 kernel: ieee1394: sbp2: aborting sbp2 command
May  2 07:41:23 garnetd600 kernel: Test Unit Ready 00 00 00 00 00 00
May  2 07:41:23 garnetd600 kernel: scsi: Device offlined - not ready after error
recovery: host 0 channel 0 id 0 lun 0
May  2 07:41:23 garnetd600 kernel: SCSI error : <0 0 0 0> return code = 0x50000
May  2 07:41:23 garnetd600 kernel: end_request: I/O error, dev sda, sector 63
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 0
May  2 07:41:23 garnetd600 kernel: scsi0 (0:0): rejecting I/O to offline device
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 1
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 2
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 3
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 4
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 5
May  2 07:41:23 garnetd600 kernel: Buffer I/O error on device sda1, logical block 6
May  2 07:41:24 garnetd600 kernel: Buffer I/O error on device sda1, logical block 7
May  2 07:41:24 garnetd600 kernel: Buffer I/O error on device sda1, logical block 8
May  2 07:41:24 garnetd600 kernel: Buffer I/O error on device sda1, logical block 9
May  2 07:41:24 garnetd600 kernel: scsi0 (0:0): rejecting I/O to offline device
Comment 3 Dave Jones 2005-07-15 16:39:55 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 21:14:37 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.